> This page is for 平台, version V4 实验版.
> For other versions, use one of these documentation indexes:
> - V4 (default): https://next.developer.frame.io/platform/v4/llms.txt
> - V4 实验版: https://next.developer.frame.io/platform/v4-experimental/llms.txt
> - 旧版: https://next.developer.frame.io/platform/v2/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://next.developer.frame.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://next.developer.frame.io/_mcp/server.

# 删除评论附件

DELETE https://api.frame.io/v4/accounts/{account_id}/comments/{comment_id}/attachments/{attachment_id}

Delete an attachment from a comment.
This endpoint has been added to `Current Version` of the API.
Please see [https://developer.adobe.com/frameio/api/current/#tag/Comments/operation/comments.delete\_attachment](https://developer.adobe.com/frameio/api/current/#tag/Comments/operation/comments.delete_attachment).
Rate Limits: 60 calls per 1.00 minute(s) per account\_user

Reference: https://next.developer.frame.io/platform/api-reference/comments/delete-attachment

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `account_id` (string, required)
- `comment_id` (string, required)
- `attachment_id` (string, required)

## Response

### 204

No Content

## Errors

### 400 Bad Request Error

Bad request

- `errors` (list of BadRequestErrorsItems, required)

### 401 Unauthorized Error

Unauthorized

- `errors` (list of UnauthorizedErrorsItems, required)

### 403 Forbidden Error

Forbidden

- `errors` (list of ForbiddenErrorsItems, required)

### 404 Not Found Error

Not found

- `errors` (list of NotFoundErrorsItems, required)

### 409 Conflict Error

Conflict

- `errors` (list of ConflictErrorsItems, required)

### 422 Unprocessable Entity Error

Unprocessable content

- `errors` (list of UnprocessableContentErrorsItems, required)

### 429 Too Many Requests Error

Too many requests

- `errors` (list of TooManyRequestsErrorsItems, required)

## Types

### BadRequestErrorsItems

- `detail` (string, required)
- `source` (BadRequestErrorsItemsSource, optional)
- `title` (string, optional)

### UnauthorizedErrorsItems

- `detail` (string, required)
- `source` (UnauthorizedErrorsItemsSource, optional)
- `title` (string, optional)

### ForbiddenErrorsItems

- `detail` (string, required)
- `source` (ForbiddenErrorsItemsSource, optional)
- `title` (string, optional)

### NotFoundErrorsItems

- `detail` (string, required)
- `source` (NotFoundErrorsItemsSource, optional)
- `title` (string, optional)

### ConflictErrorsItems

- `detail` (string, required)
- `source` (ConflictErrorsItemsSource, optional)
- `title` (string, optional)

### UnprocessableContentErrorsItems

- `detail` (string, required)
- `source` (UnprocessableContentErrorsItemsSource, optional)
- `title` (string, optional)

### TooManyRequestsErrorsItems

- `detail` (string, required)
- `source` (TooManyRequestsErrorsItemsSource, optional)
- `title` (string, optional)

### BadRequestErrorsItemsSource

- `pointer` (string, optional)

### UnauthorizedErrorsItemsSource

- `pointer` (string, optional)

### ForbiddenErrorsItemsSource

- `pointer` (string, optional)

### NotFoundErrorsItemsSource

- `pointer` (string, optional)

### ConflictErrorsItemsSource

- `pointer` (string, optional)

### UnprocessableContentErrorsItemsSource

- `pointer` (string, optional)

### TooManyRequestsErrorsItemsSource

- `pointer` (string, optional)

## Examples

**SDK Code**

```python
import requests

url = "https://api.frame.io/v4/accounts/f06172bc-cf20-4364-a77c-d54a75ba0db2/comments/6e56d45a-21b0-4609-9de5-581006eb0fbf/attachments/faee3ea6-96f9-4125-a3d5-2084a4bc4c4c"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.frame.io/v4/accounts/f06172bc-cf20-4364-a77c-d54a75ba0db2/comments/6e56d45a-21b0-4609-9de5-581006eb0fbf/attachments/faee3ea6-96f9-4125-a3d5-2084a4bc4c4c';
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.frame.io/v4/accounts/f06172bc-cf20-4364-a77c-d54a75ba0db2/comments/6e56d45a-21b0-4609-9de5-581006eb0fbf/attachments/faee3ea6-96f9-4125-a3d5-2084a4bc4c4c"

	req, _ := http.NewRequest("DELETE", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.frame.io/v4/accounts/f06172bc-cf20-4364-a77c-d54a75ba0db2/comments/6e56d45a-21b0-4609-9de5-581006eb0fbf/attachments/faee3ea6-96f9-4125-a3d5-2084a4bc4c4c")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.delete("https://api.frame.io/v4/accounts/f06172bc-cf20-4364-a77c-d54a75ba0db2/comments/6e56d45a-21b0-4609-9de5-581006eb0fbf/attachments/faee3ea6-96f9-4125-a3d5-2084a4bc4c4c")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('DELETE', 'https://api.frame.io/v4/accounts/f06172bc-cf20-4364-a77c-d54a75ba0db2/comments/6e56d45a-21b0-4609-9de5-581006eb0fbf/attachments/faee3ea6-96f9-4125-a3d5-2084a4bc4c4c', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.frame.io/v4/accounts/f06172bc-cf20-4364-a77c-d54a75ba0db2/comments/6e56d45a-21b0-4609-9de5-581006eb0fbf/attachments/faee3ea6-96f9-4125-a3d5-2084a4bc4c4c");
var request = new RestRequest(Method.DELETE);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.frame.io/v4/accounts/f06172bc-cf20-4364-a77c-d54a75ba0db2/comments/6e56d45a-21b0-4609-9de5-581006eb0fbf/attachments/faee3ea6-96f9-4125-a3d5-2084a4bc4c4c")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "DELETE"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```